
Foreman - Bug #1448

statistics page 'class distribution' miss count

01/12/2012 04:11 PM - Jacob McCann

Status: Closed   

Priority: Normal   

Assignee: Tomer Brisker   

Category: Statistics   

Target version: 1.8.0   

Difficulty:  Fixed in Releases:  

Triaged:  Found in Releases:  

Bugzilla link:  Red Hat JIRA:  

Pull request: https://github.com/theforeman/foreman/p

ull/1924

  

Description

Seems like classes added to systems via hostgroup assignments are not included in the 'class distribution' on the statistics page

Related issues:

Related to Foreman - Bug #844: puppetclass host count does not count hosts th... Closed 04/14/2011

Has duplicate Foreman - Bug #1773: Puppet classes page counter stays 0 when c... Duplicate 07/23/2012

Associated revisions

Revision 3f0dac4d - 11/12/2014 06:07 AM - Tomer Brisker

Fixes #1448 - correctly display puppetclass statistics

History

#1 - 10/18/2013 09:54 AM - Dominic Cleal

- Category set to Statistics

#2 - 09/01/2014 09:21 AM - Tomer Brisker

- Status changed from New to Assigned

- Assignee set to Tomer Brisker

#3 - 09/01/2014 09:21 AM - Tomer Brisker

- Related to Bug #844: puppetclass host count does not count hosts though a hostgroup added

#4 - 11/12/2014 05:15 AM - The Foreman Bot

- Status changed from Assigned to Ready For Testing

- Pull request https://github.com/theforeman/foreman/pull/1924 added

- Pull request deleted ()

#5 - 11/12/2014 06:09 AM - Dominic Cleal

- translation missing: en.field_release set to 28

Depends on #844.

#6 - 11/12/2014 07:01 AM - Anonymous

- Status changed from Ready For Testing to Closed

- % Done changed from 0 to 100

Applied in changeset 3f0dac4dd1b8761eb881f5cbb451dfd1db12b988.
